<?


if($ku['level']<70)
{
echo "<div class='event'><h1>Евро Банк</h1></div>";

echo "<div class='content'>";echo "<div class='block'>";
echo'<img src="img/icons/owibochka.gif" alt="*"> Евро Банк доступен со 70-го уровня!';
include_once 'inc/foot.php';
echo "</div></div>";
exit;
}




$doc_root = $_SERVER['DOCUMENT_ROOT'];

function euro_count($level){
if($level==0){$euro = 1;}
elseif($level==1){$euro = 2;}
elseif($level==2){$euro = 3;}
elseif($level==3){$euro = 4;}
elseif($level==4){$euro = 6;}
elseif($level==5){$euro = 8;}
elseif($level==6){$euro = 10;}
elseif($level==7){$euro = 15;}
elseif($level==8){$euro = 25;}
elseif($level==9){$euro = 30;}
elseif($level==10){$euro = 50;}
return $euro;
}

function euro_level_pris($level){
$level+=1;
if($level==1){$pris = 20;}
elseif($level==2){$pris = 50;}
elseif($level==3){$pris = 100;}
elseif($level==4){$pris = 150;}
elseif($level==5){$pris = 200;}
elseif($level==6){$pris = 400;}
elseif($level==7){$pris = 800;}
elseif($level==8){$pris = 1500;}
elseif($level==9){$pris = 3000;}
elseif($level==10){$pris = 7000;}
return $pris;
}

$obmen = euro_count($ku['euro_bank_lev']);
$time_euro = floor(86400/$obmen);
if($ku['euro_bank_time']==0){$euro_bank_time = $time-86400;} else {$euro_bank_time = $ku['euro_bank_time'];}
$time_e = $time - $euro_bank_time;
$col_euro = floor($time_e/$time_euro);
if($col_euro<1){$col_euro = 0;}
elseif($col_euro>$obmen){$col_euro = $obmen;}

$cenlev = euro_level_pris($ku['euro_bank_lev']);

if(isset($_GET['shoot']) && $col_euro>=1){
mysql_querll('UPDATE `kolhoz_user` SET `euro`="'.($ku['euro']+$col_euro).'", `euro_bank_time`="'.$time.'" WHERE `id`="'.$ku['id'].'"'); 
$_SESSION['msg_ns'] = '<img width="16" height="16" src="img/euro.png" alt="o"> Евро +'.$col_euro;
header('location:?euro_bank'); exit;
}
elseif(isset($_GET['increase']) && $ku['euro']>=$cenlev && $ku['euro_bank_lev']<10){
if(isset($_GET['ok'])){
mysql_querll('UPDATE `kolhoz_user` SET `euro`="'.($ku['euro']-$cenlev).'", `euro_bank_lev`="'.($ku['euro_bank_lev']+1).'", `euro_bank_time`="'.($time-86400).'" WHERE `id`="'.$ku['id'].'"'); 
$_SESSION['msg_ns'] = '<img width="16" height="16" src="img/euro.png" alt="o"> Евро +'.$col_euro;
header('location:?euro_bank'); exit;
} else {
echo '<div class="event"><h1>Подтверждение</h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo '<li>Вы уверены?</li>'."\n";
echo '<li><img alt="o" width="16" height="16" src="img/icons/tick.png"> <a href="?euro_bank'.(isset($_GET['shoot'])?'&shoot':'&increase').'&ok">Да, подтверждаю</a></li>'."\n";
echo '<li><img alt="o" width="16" height="16" src="img/icons/cross.png"> <a href="?euro_bank">Нет, отказываюсь</a></li>'."\n";
echo '</div></div>'."\n";
include_once($doc_root.'/inc/foot.php');
}
}

echo '<div class="event"><h1>Евро Банк</h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";

echo '<li><span class="title">Евро Банк</span> предназначен для снятия процента от вклада.</li>'."\n";
echo '<li>Вы можете снять <span class="title">'.$col_euro.'</span> из <span class="title">'.$obmen.'</span> евро в сутки. <span class="title">('.($ku['euro_bank_lev']>=1?$ku['euro_bank_lev'].' уровень':'Нет вклада').')</span></li>'."\n";

echo '<span style="padding-bottom:9px; display:block;"></span>'."\n";
echo '<li><img width="16" height="16" src="img/icons/bullet_green.png" alt="o">'.($col_euro>=1?'<a href="?euro_bank&shoot">Снять</a> <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">'.$col_euro.'</span> евро.':'Ожидайте следующее начисление...').'</li>'."\n";
echo '<li><img width="16" height="16" src="img/icons/bullet_green.png" alt="o">'.($ku['euro_bank_lev']<10?'<a href="?euro_bank&increase">Повысить</a> уровень вклада, цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">'.$cenlev.'</span> евро.':'У вас максимальный уровень вклада!').'</li>'."\n";
echo '<span style="padding-bottom:9px; display:block;"></span>'."\n";

echo '<li>Уровни вкладов: ['.(isset($_GET['info'])?'<a href="?euro_bank"><span class="title">свернуть</span></a>':'<a href="?euro_bank&info"><span class="title">читать</span></a>').']</li>'."\n";
if(isset($_GET['info'])){
echo '<li class="ptm minor"><span class="title">1-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">20</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">2</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">2-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">50</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">3</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">3-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">100</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">4</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">4-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">150</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">6</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">5-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">200</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">8</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">6-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">400</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">10</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">7-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">800</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">12</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">8-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">1500</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">25</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">9-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">3000</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">30</span> евро</li>'."\n";
echo '<li class="ptm minor"><span class="title">10-й</span> вклад - цена <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">7000</span> евро - в сутки <img width="16" height="16" src="img/euro.png" alt="o"> <span class="title">50</span> евро</li>'."\n";
}

echo '</div></div>'."\n";
include_once($doc_root.'/inc/foot.php');
?>